QT错误Unknown module(s) in QT: webenginewidgets详解

最近在编写QT程序时,遇到了下列问题,QT报错:

error: Unknown module(s) in QT: webenginewidgets

问题在于要编写的程序需要使用webenginewidgets的相关内容,本人所使用的QT版本为QT5.5.1+MSVC2010,在网上经过一番查找,终于找到了问题所在:

在开始时,我认为是安装时出现问题,没有安装对应的系统模块,但是在安装文件夹下的SRC文件夹内发现了名为qtwebengine的文件夹,在帮助界面进行查找,也有对webenginewidgets的详细讲解,因此QT5.5.1版本应该是时支持webenginewidgets的,而且安装应该成功,那么就只可能是编译器MSVC2010的问题了。

在网上也有说法,MinGW即GCC编译器不支持qtwebengine库,只能使用MSVC版本的编译器。而且由于Qt WebEngine 使用 Chromium 浏览器,而Chromium 仅支持MSVC2013及以上版本,因此需要对MSVC进行升级。

 

展开阅读全文
©️2020 CSDN 皮肤主题: 编程工作室 设计师: CSDN官方博客 返回首页
实付0元
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值